
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #86

Symbol collision: playlist_delete_selected

March 25, 2012 17:21 - Michael Schwendt

Status: Closed Start date: March 25, 2012

Priority: Major Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.2.2   

Affects version: 3.2.1   

Description

In the gtkui, pressing either the "Del" key or using the playlist context-menu "Cut" to delete/cut a track from the playlist fails since

3.2-beta1. Last version it worked in is 3.2-alpha1.

The Winamp gui is not affected.

History

#1 - March 25, 2012 18:41 - Michael Schwendt

- File audacious-plugins-3.2-beta1-playlist-delete.patch added

Done some debugging...

#2 - March 27, 2012 04:07 - John Lindgren

I am unable to reproduce.  Also, will you explain the reasoning behind your patch?

#3 - March 27, 2012 10:40 - Michael Schwendt

Without the renaming, I experience symbol collision between audacious-plugins /src/gtkui/ui_gtk.c and /src/audacious/playlist-new.c:

#0  playlist_delete_selected (playlist_num=8630720) at playlist-new.c:1425

#1  0x00007fffed242215 in playlist_keypress_cb (widget=<optimized out>,

event=<optimized out>, unused=<optimized out>) at ui_gtk.c:581

Reproducible on the older Fedora 16 (x86_64).

#4 - March 29, 2012 17:29 - John Lindgren

- Subject changed from gtkui playlist "Cut" action fails since 3.2-beta1 to Symbol collision: playlist_delete_selected

- Status changed from New to Closed

- Priority changed from Minor to Major

- Target version set to 3.2.2

- % Done changed from 0 to 100

- Affects version 3.2.1 added

- Affects version deleted ()

playlist_delete_selected(), in Audacious core, is not supposed to be visible to plugins.  Fixed in master (and will be backported to 3.2.2):

https://github.com/audacious-media-player/audacious/commit/ba7c575a80d9782eacff6bf2f3ad246d3fd18a68
Files

audacious-plugins-3.2-beta1-playlist-delete.patch 1.95 KB March 25, 2012 Michael Schwendt
